Bulk Remove Phones dnc entries/bulk remove phones
curl --request POST \
--url https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"select_all": true,
"phones": [
"<string>"
],
"reason": "<string>",
"source": "<string>",
"filters": {},
"metadata_key": "<string>",
"metadata_value": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
select_all: true,
phones: ['<string>'],
reason: '<string>',
source: '<string>',
filters: {},
metadata_key: '<string>',
metadata_value: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones"
payload = {
"select_all": True,
"phones": ["<string>"],
"reason": "<string>",
"source": "<string>",
"filters": {},
"metadata_key": "<string>",
"metadata_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Dnc
Bulk Remove Phones dnc entries/bulk remove phones
From api/v1/dnc_entries#bulk_remove_phones in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
dnc_entries
/
bulk_remove_phones
Bulk Remove Phones dnc entries/bulk remove phones
curl --request POST \
--url https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"select_all": true,
"phones": [
"<string>"
],
"reason": "<string>",
"source": "<string>",
"filters": {},
"metadata_key": "<string>",
"metadata_value": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
select_all: true,
phones: ['<string>'],
reason: '<string>',
source: '<string>',
filters: {},
metadata_key: '<string>',
metadata_value: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/dnc_entries/bulk_remove_phones"
payload = {
"select_all": True,
"phones": ["<string>"],
"reason": "<string>",
"source": "<string>",
"filters": {},
"metadata_key": "<string>",
"metadata_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"data": {
"id": "<string>",
"phone_e164": "<string>",
"reason": "<string>",
"source": "<string>",
"source_campaign_id": "<string>",
"added_by_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Query Parameters
Body
application/json
Was this page helpful?